> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Marketing Channels

> Retrieve a list of marketing channels



## OpenAPI

````yaml get /marketing_channel
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /marketing_channel:
    get:
      tags:
        - Marketing Channel
      summary: List Marketing Channels
      description: Retrieve a list of marketing channels
      parameters:
        - name: id
          in: query
          description: Marketing channel ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Marketing channel creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of marketing channel
          schema:
            type: string
        - name: key
          in: query
          description: Marketing channel key
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/marketing_channel'
components:
  schemas:
    marketing_channel:
      type: object
      properties:
        id:
          type: string
          description: Marketing channel ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Marketing channel creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        name:
          type: string
          description: Name of marketing channel
          format: text
        key:
          type: string
          description: Marketing channel key
          format: text
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````